/*
 * $Id: KeywordLocationTest.java,v 1.1 2004/07/12 14:49:22 rampil Exp $
 * Copyright (c) 2004 satoshi akabane, All Rights Reserved.
 */
package org.logical_paradox.fts;

import junit.framework.TestCase;

public class KeywordLocationTest extends TestCase {
	// バイト列からの復元と変換のテスト
	public void testInOutTest() throws Exception {
		KeywordLocation location = new KeywordLocation(100,200);
		assertEquals("[100]200", location.toString());
		
		assertEquals("[100]200", new KeywordLocation(location.byteStream()).toString());
		assertEquals(100, new KeywordLocation(location.byteStream())._dicno);
		assertEquals(200, new KeywordLocation(location.byteStream())._pos);
	}
}
